<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (version 1.7.0_51) on Sun Apr 26 10:43:49 CEST 2015 -->
<title>ASatz</title>
<meta name="date" content="2015-04-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ASatz";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../de/jost_net/OBanToo/Dtaus/CSatz.html" title="class in de.jost_net.OBanToo.Dtaus"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/jost_net/OBanToo/Dtaus/ASatz.html" target="_top">Frames</a></li>
<li><a href="ASatz.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.jost_net.OBanToo.Dtaus</div>
<h2 title="Class ASatz" class="title">Class ASatz</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html" title="class in de.jost_net.OBanToo.Dtaus">de.jost_net.OBanToo.Dtaus.Satz</a></li>
<li>
<ul class="inheritance">
<li>de.jost_net.OBanToo.Dtaus.ASatz</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">ASatz</span>
extends <a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html" title="class in de.jost_net.OBanToo.Dtaus">Satz</a></pre>
<div class="block">A-Satz - Datei-Vorsatz</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>Heiner Jostkleigrewe</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Date</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#aAusfuehrungsdatum">aAusfuehrungsdatum</a></strong></code>
<div class="block">Feld a11b, 8 Byte, alpha, Ausführungsdatum (TTMMJJJJ) Angabe freigestellt.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private long</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#aBlz">aBlz</a></strong></code>
<div class="block">Feld a04, 8 Byte, numerisch, Bankleitzahl, Bankleitzahl des Kreditinstituts
 (Dateiempfänger)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#aDateierstellungsdatum">aDateierstellungsdatum</a></strong></code>
<div class="block">Feld a07, 6 Byte, numerisch, Datum, Dateierstellungsdatum (TTMMJJ)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private long</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#aFeld5">aFeld5</a></strong></code>
<div class="block">Feld a05, 8 Byte, Dateien, die von Banken geliefert werden, enthalten hier
 die BLZ</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#aGutschriftLastschrift">aGutschriftLastschrift</a></strong></code>
<div class="block">Feld a03, 2 Byte, alpha, Kennzeichen GK oder LK, Hinweis auf Gutschriften
 (G) bzw.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private long</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#aKonto">aKonto</a></strong></code>
<div class="block">Feld a09, 10 Byte, numerisch, Kontonummer.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#aKundenname">aKundenname</a></strong></code>
<div class="block">Feld a06, 27 Byte, alpha, Kundenname, Dateiabsender</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#aReferenz">aReferenz</a></strong></code>
<div class="block">Feld a10, 10 Byte, numerisch, Referenznummer des Einreichers, Angabe
 freigestellt</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#aSatzart">aSatzart</a></strong></code>
<div class="block">Feld a02, 1 Byte, alpha, Satzart, Konstant A</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#aSatzlaenge">aSatzlaenge</a></strong></code>
<div class="block">Feld a01, 4 Bytes, numerisch, Satzlängenfeld, Konstant 0128</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#aWaehrungskennzeichen">aWaehrungskennzeichen</a></strong></code>
<div class="block">Feld a12, 1 Byte, alpha, Währungskennzeichen, konstant '1'</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#toleranz">toleranz</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#ASatz()">ASatz</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#ASatz(java.lang.String, int)">ASatz</a></strong>(java.lang.String&nbsp;satz,
     int&nbsp;toleranz)</code>
<div class="block">Konstruktor mit der Übergabe eines zu parsenden Satzes</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.Date</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#getAusfuehrungsdatum()">getAusfuehrungsdatum</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#getAusfuehrungsdatumString()">getAusfuehrungsdatumString</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#getBlz()">getBlz</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#getDateierstellungsdatum()">getDateierstellungsdatum</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.Date</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#getDateierstellungsdatumAlsDatum()">getDateierstellungsdatumAlsDatum</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#getFeld5()">getFeld5</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#getGutschriftLastschrift()">getGutschriftLastschrift</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#getKonto()">getKonto</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#getKundenname()">getKundenname</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#getReferenz()">getReferenz</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#setAusfuehrungsdatum(java.util.Date)">setAusfuehrungsdatum</a></strong>(java.util.Date&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#setAusfuehrungsdatum(java.lang.String)">setAusfuehrungsdatum</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#setBlz(long)">setBlz</a></strong>(long&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#setBlz(java.lang.String)">setBlz</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#setDateierstellungsdatum(java.lang.String)">setDateierstellungsdatum</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#setFeld5(long)">setFeld5</a></strong>(long&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#setFeld5(java.lang.String)">setFeld5</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#setGutschriftLastschrift(java.lang.String)">setGutschriftLastschrift</a></strong>(java.lang.String&nbsp;value)</code>
<div class="block">Kennzeichen <br>
 GK = Gutschrift Kunde<br>
 LK = Lastschrift Kunde<br></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#setKonto(long)">setKonto</a></strong>(long&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#setKonto(java.lang.String)">setKonto</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#setKundenname(java.lang.String)">setKundenname</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#setReferenz(java.lang.String)">setReferenz</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#setWaehrungskennzeichen(java.lang.String)">setWaehrungskennzeichen</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#toString()">toString</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ASatz.html#write(java.io.DataOutputStream)">write</a></strong>(java.io.DataOutputStream&nbsp;dos)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_de.jost_net.OBanToo.Dtaus.Satz">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;de.jost_net.OBanToo.Dtaus.<a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html" title="class in de.jost_net.OBanToo.Dtaus">Satz</a></h3>
<code><a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html#codingFromDtaus(java.lang.String, int)">codingFromDtaus</a>, <a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html#make27(java.lang.String)">make27</a>, <a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html#makeValid(java.lang.String)">makeValid</a>, <a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html#validCharacters(java.lang.String)">validCharacters</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="aSatzlaenge">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>aSatzlaenge</h4>
<pre>private&nbsp;java.lang.String aSatzlaenge</pre>
<div class="block">Feld a01, 4 Bytes, numerisch, Satzlängenfeld, Konstant 0128</div>
</li>
</ul>
<a name="aSatzart">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>aSatzart</h4>
<pre>private&nbsp;java.lang.String aSatzart</pre>
<div class="block">Feld a02, 1 Byte, alpha, Satzart, Konstant A</div>
</li>
</ul>
<a name="aGutschriftLastschrift">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>aGutschriftLastschrift</h4>
<pre>private&nbsp;java.lang.String aGutschriftLastschrift</pre>
<div class="block">Feld a03, 2 Byte, alpha, Kennzeichen GK oder LK, Hinweis auf Gutschriften
 (G) bzw. Lastschriften (L), K = Kundendatei</div>
</li>
</ul>
<a name="aBlz">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>aBlz</h4>
<pre>private&nbsp;long aBlz</pre>
<div class="block">Feld a04, 8 Byte, numerisch, Bankleitzahl, Bankleitzahl des Kreditinstituts
 (Dateiempfänger)</div>
</li>
</ul>
<a name="aFeld5">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>aFeld5</h4>
<pre>private&nbsp;long aFeld5</pre>
<div class="block">Feld a05, 8 Byte, Dateien, die von Banken geliefert werden, enthalten hier
 die BLZ</div>
</li>
</ul>
<a name="aKundenname">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>aKundenname</h4>
<pre>private&nbsp;java.lang.String aKundenname</pre>
<div class="block">Feld a06, 27 Byte, alpha, Kundenname, Dateiabsender</div>
</li>
</ul>
<a name="aDateierstellungsdatum">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>aDateierstellungsdatum</h4>
<pre>private&nbsp;java.lang.String aDateierstellungsdatum</pre>
<div class="block">Feld a07, 6 Byte, numerisch, Datum, Dateierstellungsdatum (TTMMJJ)</div>
</li>
</ul>
<a name="aKonto">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>aKonto</h4>
<pre>private&nbsp;long aKonto</pre>
<div class="block">Feld a09, 10 Byte, numerisch, Kontonummer. Empfänger/Absender Kunde, max 10
 Stellen. Über dieses Konto wird der Gegenwert verrechnet.</div>
</li>
</ul>
<a name="aReferenz">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>aReferenz</h4>
<pre>private&nbsp;java.lang.String aReferenz</pre>
<div class="block">Feld a10, 10 Byte, numerisch, Referenznummer des Einreichers, Angabe
 freigestellt</div>
</li>
</ul>
<a name="aAusfuehrungsdatum">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>aAusfuehrungsdatum</h4>
<pre>private&nbsp;java.util.Date aAusfuehrungsdatum</pre>
<div class="block">Feld a11b, 8 Byte, alpha, Ausführungsdatum (TTMMJJJJ) Angabe freigestellt.
 Nicht jünger als Dateierstellungsdatum (Feld A7), jedoch höchstens 15
 Kalendertage über Erstellungsdatum aus Feld A7. Soweit in diesem Datenfeld
 ein Ausführungstermin angegeben wird, ist zu beachten, dass der in den
 Sonderbedingungen genannte Nachweiszeitraum von mindestens 10 Kalendertagen
 erst ab dem genannten Ausführungstermin zu berechnen ist.</div>
</li>
</ul>
<a name="aWaehrungskennzeichen">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>aWaehrungskennzeichen</h4>
<pre>private&nbsp;java.lang.String aWaehrungskennzeichen</pre>
<div class="block">Feld a12, 1 Byte, alpha, Währungskennzeichen, konstant '1'</div>
</li>
</ul>
<a name="toleranz">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toleranz</h4>
<pre>private&nbsp;int toleranz</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ASatz(java.lang.String, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ASatz</h4>
<pre>public&nbsp;ASatz(java.lang.String&nbsp;satz,
     int&nbsp;toleranz)
      throws <a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></pre>
<div class="block">Konstruktor mit der Übergabe eines zu parsenden Satzes</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></code></dd></dl>
</li>
</ul>
<a name="ASatz()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ASatz</h4>
<pre>public&nbsp;ASatz()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setGutschriftLastschrift(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGutschriftLastschrift</h4>
<pre>public&nbsp;void&nbsp;setGutschriftLastschrift(java.lang.String&nbsp;value)
                              throws <a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></pre>
<div class="block">Kennzeichen <br>
 GK = Gutschrift Kunde<br>
 LK = Lastschrift Kunde<br></div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></code></dd></dl>
</li>
</ul>
<a name="getGutschriftLastschrift()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGutschriftLastschrift</h4>
<pre>public&nbsp;java.lang.String&nbsp;getGutschriftLastschrift()</pre>
</li>
</ul>
<a name="setBlz(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBlz</h4>
<pre>public&nbsp;void&nbsp;setBlz(java.lang.String&nbsp;value)
            throws <a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></code></dd></dl>
</li>
</ul>
<a name="setBlz(long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBlz</h4>
<pre>public&nbsp;void&nbsp;setBlz(long&nbsp;value)</pre>
</li>
</ul>
<a name="getBlz()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlz</h4>
<pre>public&nbsp;long&nbsp;getBlz()</pre>
</li>
</ul>
<a name="setFeld5(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFeld5</h4>
<pre>public&nbsp;void&nbsp;setFeld5(java.lang.String&nbsp;value)</pre>
</li>
</ul>
<a name="setFeld5(long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFeld5</h4>
<pre>public&nbsp;void&nbsp;setFeld5(long&nbsp;value)</pre>
</li>
</ul>
<a name="getFeld5()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFeld5</h4>
<pre>public&nbsp;long&nbsp;getFeld5()</pre>
</li>
</ul>
<a name="setKundenname(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKundenname</h4>
<pre>public&nbsp;void&nbsp;setKundenname(java.lang.String&nbsp;value)
                   throws <a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></code></dd></dl>
</li>
</ul>
<a name="getKundenname()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKundenname</h4>
<pre>public&nbsp;java.lang.String&nbsp;getKundenname()</pre>
</li>
</ul>
<a name="setDateierstellungsdatum(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDateierstellungsdatum</h4>
<pre>public&nbsp;void&nbsp;setDateierstellungsdatum(java.lang.String&nbsp;value)</pre>
</li>
</ul>
<a name="getDateierstellungsdatum()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDateierstellungsdatum</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDateierstellungsdatum()</pre>
</li>
</ul>
<a name="getDateierstellungsdatumAlsDatum()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDateierstellungsdatumAlsDatum</h4>
<pre>public&nbsp;java.util.Date&nbsp;getDateierstellungsdatumAlsDatum()</pre>
</li>
</ul>
<a name="setKonto(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKonto</h4>
<pre>public&nbsp;void&nbsp;setKonto(java.lang.String&nbsp;value)
              throws <a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></code></dd></dl>
</li>
</ul>
<a name="setKonto(long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKonto</h4>
<pre>public&nbsp;void&nbsp;setKonto(long&nbsp;value)</pre>
</li>
</ul>
<a name="getKonto()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKonto</h4>
<pre>public&nbsp;long&nbsp;getKonto()</pre>
</li>
</ul>
<a name="setReferenz(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setReferenz</h4>
<pre>public&nbsp;void&nbsp;setReferenz(java.lang.String&nbsp;value)</pre>
</li>
</ul>
<a name="getReferenz()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReferenz</h4>
<pre>public&nbsp;java.lang.String&nbsp;getReferenz()</pre>
</li>
</ul>
<a name="setAusfuehrungsdatum(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAusfuehrungsdatum</h4>
<pre>public&nbsp;void&nbsp;setAusfuehrungsdatum(java.lang.String&nbsp;value)
                          throws <a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></code></dd></dl>
</li>
</ul>
<a name="setAusfuehrungsdatum(java.util.Date)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAusfuehrungsdatum</h4>
<pre>public&nbsp;void&nbsp;setAusfuehrungsdatum(java.util.Date&nbsp;value)</pre>
</li>
</ul>
<a name="getAusfuehrungsdatumString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAusfuehrungsdatumString</h4>
<pre>public&nbsp;java.lang.String&nbsp;getAusfuehrungsdatumString()</pre>
</li>
</ul>
<a name="getAusfuehrungsdatum()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAusfuehrungsdatum</h4>
<pre>public&nbsp;java.util.Date&nbsp;getAusfuehrungsdatum()</pre>
</li>
</ul>
<a name="setWaehrungskennzeichen(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWaehrungskennzeichen</h4>
<pre>public&nbsp;void&nbsp;setWaehrungskennzeichen(java.lang.String&nbsp;value)
                             throws <a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></code></dd></dl>
</li>
</ul>
<a name="write(java.io.DataOutputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>write</h4>
<pre>public&nbsp;void&nbsp;write(java.io.DataOutputStream&nbsp;dos)
           throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../de/jost_net/OBanToo/Dtaus/CSatz.html" title="class in de.jost_net.OBanToo.Dtaus"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/jost_net/OBanToo/Dtaus/ASatz.html" target="_top">Frames</a></li>
<li><a href="ASatz.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
